n, m = map(int, input().split())
costs = list(map(int, input().split()))

cost_count = {}  # Создаем словарь для подсчета стоимостей

for cost in costs:
    if cost in cost_count:
        cost_count[cost] += 1
    else:
        cost_count[cost] = 1

# Ищем стоимости, которые повторяются больше одного раза
repeated_costs = [cost for cost, count in cost_count.items() if count > 1]

print(len(repeated_costs))
print(*repeated_costs)